net.minecraft.tileentity

## Class TileEntityMobSpawner

- java.lang.Object
- - net.minecraft.tileentity.TileEntity
  - - net.minecraft.tileentity.TileEntityMobSpawner

-     public class TileEntityMobSpawner
      extends TileEntity

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `delay` The stored delay before a new spawn.
    `double` | `yaw`
    `double` | `yaw2`

    - ### Fields inherited from class net.minecraft.tileentity.TileEntity

      `blockMetadata, blockType, INFINITE_EXTENT_AABB, worldObj, xCoord, yCoord, zCoord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntityMobSpawner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `anyPlayerInRange()` Returns true if there is a player in range (using World.getClosestPlayer)
    `Packet` | `getDescriptionPacket()` Overriden in a sign to provide the text.
    `Entity` | `getMobEntity()`
    `String` | `getMobID()`
    `void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)` Reads a tile entity from NBT.
    `void` | `receiveClientEvent(int par1, int par2)` Called when a client event is received with the event number and argument, see World.sendClientEvent
    `void` | `setMobID(String par1Str)`
    `void` | `updateEntity()` Allows the entity to update its state.
    `void` | `writeNBTTagsTo(Entity par1Entity)`
    `void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)` Writes a tile entity to NBT.

    - ### Methods inherited from class net.minecraft.tileentity.TileEntity

      `addMapping, canUpdate, createAndLoadEntity, func_70309_m, func_82115_m, func_85027_a, getBlockMetadata, getBlockType, getDistanceFrom, getRenderBoundingBox, getWorldObj, invalidate, isInvalid, onChunkUnload, onDataPacket, onInventoryChanged, setWorldObj, shouldRefresh, shouldRenderInPass, updateContainingBlockInfo, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### delay

          public int delay

      The stored delay before a new spawn.

    - #### yaw

          public double yaw

    - #### yaw2

          public double yaw2

  - ### Constructor Detail

    - #### TileEntityMobSpawner

          public TileEntityMobSpawner()

  - ### Method Detail

    - #### getMobID

          public String getMobID()

    - #### setMobID

          public void setMobID(String par1Str)

    - #### anyPlayerInRange

          public boolean anyPlayerInRange()

      Returns true if there is a player in range (using World.getClosestPlayer)

    - #### updateEntity

          public void updateEntity()

      Allows the entity to update its state. Overridden in most subclasses, e.g. the mob spawner uses this to count ticks and creates a new spawn inside its implementation.
      Overrides:
        `updateEntity` in class `TileEntity`

    - #### writeNBTTagsTo

          public void writeNBTTagsTo(Entity par1Entity)

    - #### readFromNBT

          public void readFromNBT(NBTTagCompound par1NBTTagCompound)

      Reads a tile entity from NBT.
      Overrides:
        `readFromNBT` in class `TileEntity`

    - #### writeToNBT

          public void writeToNBT(NBTTagCompound par1NBTTagCompound)

      Writes a tile entity to NBT.
      Overrides:
        `writeToNBT` in class `TileEntity`

    - #### getMobEntity

          public Entity getMobEntity()

    - #### getDescriptionPacket

          public Packet getDescriptionPacket()

      Overriden in a sign to provide the text.
      Overrides:
        `getDescriptionPacket` in class `TileEntity`

    - #### receiveClientEvent

          public void receiveClientEvent(int par1,
                                int par2)

      Called when a client event is received with the event number and argument, see World.sendClientEvent
      Overrides:
        `receiveClientEvent` in class `TileEntity`